Package tigase.server

## Interface MessageReceiver

- All Superinterfaces:
    `ServerComponent`
  All Known Implementing Classes:
    `AbstractComponent`, `AbstractKernelBasedComponent`, `AbstractMessageReceiver`, `AmpComponent`, `AmpComponentClustered`, `BoshConnectionClustered`, `BoshConnectionManager`, `ClientConnectionClustered`, `ClientConnectionManager`, `ClusterConnectionManager`, `ComponentConnectionManager`, `ComponentProtocol`, `ComponentProtocolManager`, `ConnectionManager`, `EchoComponent`, `EventBusComponent`, `EventBusComponent`, `ExternalServiceDiscoveryComponent`, `MessageRouter`, `MonitorComponent`, `MonitorComponent`, `S2SConnectionManager`, `SessionManager`, `SessionManagerClustered`, `TestComponent`, `WebSocketClientConnectionClustered`, `WebSocketClientConnectionManager`, `WorkgroupQueuesComponent`

      public interface MessageReceiver
      extends ServerComponent

  Interface MessageReceiver
  Objects of this type can receive messages. They can be in fact routing destination depending on target address. Message are routed to proper destination in MessageRouter class.
  Created: Tue Nov 22 07:07:11 2005
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addPacket​(Packet packet)` |
    `boolean` | `addPacketNB​(Packet packet)` |
    `boolean` | `addPackets​(java.util.Queue<Packet> packets)` |
    `BareJID` | `getDefHostName()` |
    `boolean` | `isInRegexRoutings​(java.lang.String address)` |
    `void` | `setParent​(MessageReceiver msg_rec)` |
    `void` | `start()` |

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- - ### Method Detail

    - #### addPacket

          boolean addPacket​(Packet packet)

    - #### addPacketNB

          boolean addPacketNB​(Packet packet)

    - #### addPackets

          boolean addPackets​(java.util.Queue<Packet> packets)

    - #### getDefHostName

          BareJID getDefHostName()

    - #### isInRegexRoutings

          boolean isInRegexRoutings​(java.lang.String address)

    - #### setParent

          void setParent​(MessageReceiver msg_rec)

    - #### start

          void start()